PineRouterDocs
GuidesModelsAPI referenceApps

Download video

GET
/v1/videos/{task_id}/content

Authorization

BearerAuth

AuthorizationBearer <token>

Bearer token authentication. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

Video job id

Response Body

video/mp4

application/json

application/json

application/json

application/json

curl -X GET "https://pinerouter.ai/v1/videos/string/content"
"string"
{
  "error": {
    "code": "",
    "message": "Invalid token (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error"
  }
}
{
  "error": {
    "code": "",
    "message": "This token has no access to model grok-imagine/text-to-video (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "code": "",
    "message": "You have reached the request limit: maximum 60 requests in 1 minutes (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error"
  }
}
Empty